Index: ocaml-extlib-1.7.1/src/configure.ml
===================================================================
--- ocaml-extlib-1.7.1.orig/src/configure.ml
+++ ocaml-extlib-1.7.1/src/configure.ml
@@ -3,5 +3,6 @@ let () =
   print_endline (if Sys.ocaml_version >= "4.02.0" then "-D OCAML4_02 " else "");
   print_endline (if Sys.ocaml_version >= "4.03.0" then "-D OCAML4_03 " else "");
   print_endline (if Sys.ocaml_version >= "4.04.0" then "-D OCAML4_04 " else "");
+  print_endline (if Sys.ocaml_version >= "4.05.0" then "-D OCAML4_05 " else "");
   let (_:int) = Sys.command "ocamlfind query -format \"-D WITH_BYTES\" bytes" in ();
   exit 0
Index: ocaml-extlib-1.7.1/src/extHashtbl.mli
===================================================================
--- ocaml-extlib-1.7.1.orig/src/extHashtbl.mli
+++ ocaml-extlib-1.7.1/src/extHashtbl.mli
@@ -132,6 +132,9 @@ module type S =
     val add : 'a t -> key -> 'a -> unit
     val remove : 'a t -> key -> unit
     val find : 'a t -> key -> 'a
+#ifdef OCAML4_05
+    val find_opt:  'a t -> key -> 'a option
+#endif
     val find_all : 'a t -> key -> 'a list
     val replace : 'a t -> key -> 'a -> unit
     val mem : 'a t -> key -> bool
@@ -167,6 +170,9 @@ module type SeededS =
     val add : 'a t -> key -> 'a -> unit
     val remove : 'a t -> key -> unit
     val find : 'a t -> key -> 'a
+#ifdef OCAML4_05
+    val find_opt : 'a t -> key -> 'a option
+#endif
     val find_all : 'a t -> key -> 'a list
     val replace : 'a t -> key -> 'a -> unit
     val mem : 'a t -> key -> bool
